Subject: Re: [PATCH RESEND net-next v4] net: remove noblock parameter from skb_recv_datagram()

From: Jakub Kicinski <[email-masked]>
Date: Wed, 6 Apr 2022 22:07:45 -0700

On Mon,  4 Apr 2022 18:30:22 +0200 Oliver Hartkopp wrote:
> skb_recv_datagram() has two parameters 'flags' and 'noblock' that are
> merged inside skb_recv_datagram() by 'flags | (noblock ? MSG_DONTWAIT : 0)'
> 
> As 'flags' may contain MSG_DONTWAIT as value most callers split the 'flags'
> into 'flags' and 'noblock' with finally obsolete bit operations like this:
> 
> skb_recv_datagram(sk, flags & ~MSG_DONTWAIT, flags & MSG_DONTWAIT, &rc);
> 
> And this is not even done consistently with the 'flags' parameter.
> 
> This patch removes the obsolete and costly splitting into two parameters
> and only performs bit operations when really needed on the caller side.
> 
> One missing conversion thankfully reported by kernel test robot. I missed
> to enable kunit tests to build the mctp code.
> 
> Reported-by: kernel test robot <[email-masked]>
> Signed-off-by: Oliver Hartkopp <[email-masked]>

We may have missed the pw bot's reply. Either that or vger ate it for
me. Looks like this is commit f4b41f062c42 ("net: remove noblock
parameter from skb_recv_datagram()") in net-next. Thanks!